      program sp601		! sp601.f
      implicit none
      integer i, iy
      real*8 r
      data iy/1234567/
      do i=1, 10
        call ransu( iy, r )
        write(*,*) i, r
      enddo
      stop
      end
